cURL
curl --request GET \
--url https://api.hirehive.com/v1.0/{company_id}/candidates/{candidate_id}/applications/{application_id}/questions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hirehive.com/v1.0/{company_id}/candidates/{candidate_id}/applications/{application_id}/questions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hirehive.com/v1.0/{company_id}/candidates/{candidate_id}/applications/{application_id}/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"form_name": "<string>",
"questions": [
{
"id": "<string>",
"question": "<string>",
"description": "<string>",
"required": true,
"restricted": true,
"display_order": 123,
"options": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>"
}
],
"answer": {
"question_id": "<string>",
"text": "<string>",
"ratings": [
{
"option_id": "<string>",
"rating": 123
}
],
"file": {
"id": "<string>",
"name": "<string>",
"original_name": "<string>",
"content_type": "<string>",
"file_extension": "<string>",
"size_in_kb": 123,
"download_link": "<string>"
},
"selected_options": [
"<string>"
],
"selected_option": "<string>"
}
}
]
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Applications
Get questions for application
Get a list of questions answered by an application
GET
/
v1.0
/
{company_id}
/
candidates
/
{candidate_id}
/
applications
/
{application_id}
/
questions
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I